import { Sprite } from "../../engine/2d/display";
import { RES } from "../../module/RES";
import { Event } from "../../engine/2d/events";

/**
 * 旋转光
 */
export class Light extends Sprite {
    constructor() {
        super();
        this.texture = RES.getRes("light.png");
        this.anchorTexture.set(0.5, 0.5);
        this.addEventListener(Event.ENTER_FRAME, () => {
            this.rotation += 1;
        }, this)
    }
}